Page MenuHomePhabricator

Add a hook to AdvancedSearch
Closed, ResolvedPublic2 Story Points

Description

Motivation
Right now, AdvancedSearch has a predefined set of keywords in the "advanced parameters" list, but there is no way for users to include other ones. However, this would often be helpful, e.g. to add all Wikidata unique keywords to the Wikidata search.

Acceptance Criteria
[] Add a hook to AdvancedSearch that allows gadgets or other extensions to add keywords to the advancedParameters panel. Modifying existing sections is not part of this ticket.

  • All new keywords should appear below the existing keywords in a new section
  • When new keywords were added through a hook, the search query would include both keyword and user input for the keyword, and return the respective results
  • The general look of AdvancedSearch should not change - for anyone not adding keywords with the hook, it should stay exactly as it is
  • The hook should be documented and example implementations of simple ways of modifying the form should be supplied as part of that documentation.

Event Timeline

Lea_WMDE created this task.Mar 1 2019, 8:59 PM
Restricted Application added a project: TCB-Team. · View Herald TranscriptMar 1 2019, 8:59 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Tim_WMDE updated the task description. (Show Details)Mar 11 2019, 1:28 PM
Tim_WMDE set the point value for this task to 8.
kai.nissen changed the point value for this task from 8 to 5.Mar 18 2019, 11:15 AM
kai.nissen moved this task from Todo to Doing on the WMDE-FUN-Sprint-2019-03-18 board.

Change 496174 had a related patch set uploaded (by Gabriel Birke; owner: Gabriel Birke):
[mediawiki/extensions/AdvancedSearch@master] Add extension hook to AdvancedSearch

https://gerrit.wikimedia.org/r/496174

gabriel-wmde removed gabriel-wmde as the assignee of this task.Mar 22 2019, 2:35 PM
gabriel-wmde moved this task from Doing to Review on the WMDE-FUN-Sprint-2019-03-18 board.
gabriel-wmde added a subscriber: gabriel-wmde.
kai.nissen changed the point value for this task from 5 to 2.

Change 496174 merged by jenkins-bot:
[mediawiki/extensions/AdvancedSearch@master] Add extension hook to AdvancedSearch

https://gerrit.wikimedia.org/r/496174

@kai.nissen I'm wondering if a some info or link to the documentation should be added to https://www.mediawiki.org/wiki/Extension:AdvancedSearch as well. What do you think?

kai.nissen closed this task as Resolved.Apr 15 2019, 2:23 PM